#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Object oriented C++ interface to CFITSIO library
Summary(pl.UTF-8):	Zorientowany obiektowo interfejs C++ do biblioteki CFITSIO
Name:		CCfits
Version:	2.7
Release:	1
License:	MIT-like
Group:		Libraries
Source0:	https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/ccfits/%{name}-%{version}.tar.gz
# Source0-md5:	e071c1d6cfef00a6e4835d0b67252fcf
URL:		https://heasarc.gsfc.nasa.gov/fitsio/ccfits/
BuildRequires:	cfitsio-devel >= 3.080
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	rpm-build >= 4.6
Requires:	cfitsio >= 3.080
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CCfits is an object oriented interface to the CFITSIO library. It is
designed to make the capabilities of CFITSIO available to programmers
working in C++. It is written in ANSI C++ and implemented using the
C++ Standard Library with namespaces, exception handling, and member
template functions.

%description -l pl.UTF-8
CCfits to zorientowany obiektowo interfejs do biblioteki CFITSIO. Jest
zaprojektowany, aby udostępnić możliwości biblioteki CFITSIO
programistom pracującym w C++. Jest napisany w ANSI C++,
zaimplementowany przy użyciu biblioteki standardowej C++ z
przestrzeniami nazw, obsługą wyjątków i szablonami metod.

%package devel
Summary:	Header files and documentation for CCfits
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do CCfits
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cfitsio-devel >= 3.080
Requires:	libstdc++-devel >= 6:5

%description devel
Header files and development documentation for CCfits.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do CCfits.

%package static
Summary:	Static CCfits library
Summary(pl.UTF-8):	Statyczna biblioteka CCfits
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of CCfits library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki CCfits.

%package apidocs
Summary:	API documentation for CCfits library
Summary(pl.UTF-8):	Dokumentacja API biblioteki CCfits
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for CCfits library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki CCfits.

%prep
%setup -q

%build
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libCCfits.la
# demo
%{__rm} $RPM_BUILD_ROOT%{_bindir}/cookbook

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES License.txt
%attr(755,root,root) %{_libdir}/libCCfits.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libCCfits.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libCCfits.so
%{_includedir}/CCfits
%{_pkgconfigdir}/CCfits.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libCCfits.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc CCfits-2.7.pdf html/*.{css,html,js,png}
%changelog
* Mon Mar 17 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/CCfits.git;a=log;h=master

* Mon Mar 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 24ce788
- updated to 2.7

* Fri Jan 20 2023 Jakub Bogusz <qboosh@pld-linux.org> 861ee2e
- release 2 (cfitsio 4.2)

* Sat Nov 27 2021 Jakub Bogusz <qboosh@pld-linux.org> a669761
- updated to 2.6; C++14 is used now
- noarch apidocs

* Thu Dec 10 2020 Jakub Bogusz <qboosh@pld-linux.org> afb2d35
- release 3 (cfitsio 3.49)

* Thu Dec 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 810e335
- release 2 (cfitsio soname change)

* Sat Dec 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 3a3c187
- updated URLs

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 50a4d49
- new

